# std::linear_congruential_engine<UIntType,a,c,m>::max

From cppreference.com
< cpp‎ | numeric‎ | random‎ | linear congruential engine

static constexpr result_type max(); |  | (since C++11)

Returns the maximum value potentially generated by the random-number engine. This value is one less than modulus.

### Parameters

(none)

### Return value

The maximum potentially generated value.

### Complexity

Constant

### See also

min [static] | gets the smallest possible value in the output range (public static member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/linear_congruential_engine/max&oldid=50970"